        SUBROUTINE UTRACKING
        character*20 airnames(10)
        common/airnames/airnames

        IFIELD = 0
        FIELDM = 0.
        TMAXFD = -1.
        STEMAX = -1.
        DEEMAX = -1.
        EPSIL  = 0.001
        STMIN = -1.
        call gstmed(1,'vacuum',16,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(2,'air',28,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(3,'steel304',19,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(4,'titanium',47,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(5,'vespel',21,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(6,'al6061',18,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(7,'silicon',49,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(8,'nickel',48,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(9,'beryllium',5,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(10,'sapphire',20,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(11,'teflon',23,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(12,'carbfiber',50,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(13,'alhoney',50,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(21,'germanium',17,1,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(40,'tefzel',22,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(41,'tungalloy',24,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(42,'mylar',25,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(43,'tin',26,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(44,'tantalum',27,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(45,'ge_nodet',17,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(46,'lead',13,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        do i=1,10
           CALL GSTMED(46+i,airnames(i),i+28,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        end do
        call gstmed(57,'steel304_COOLER',39,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(58,'MYLAR_AL_OUTER',40,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(59,'MYLAR_AL_INNER',41,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(60,'al6061_hv',42,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(61,'al6061_pa',43,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(62,'BRASS',44,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(63,'zeolite',45,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(64,'SiO2',46,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(65,'titanium',47,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(66,'nickel',48,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(67,'silicon',49,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(68,'carbfiber',50,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(69,'alhoney',51,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)
        call gstmed(70,'al6061_box',52,0,IFIELD,FIELDM,
     .              TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)

        end





